﻿/*----------------------------------------------------------
The base color for this template is #5c87b2. If you'd like
to use a different color start by replacing all instances of
#5c87b2 with your new color.
----------------------------------------------------------*/
body {
    background: #E57F00 url('images/bg.jpg');
    background-size: 100%contain;
    background-color: #5c87b2;
    font-size: 0.7em;
    font-family: Helvetica, "Trebuchet MS", Verdana, Sans-Serif;
    margin: 0;
    padding: 0;
    color: #696969;
}

a:link {
    color: #eca323;
}

a:visited {
    color: #eca323;
}

a:hover {
    color: #f5ca59;
    text-decoration: none;
}

a:active {
    color: #eca323;
}

p, ul {
    margin-bottom: 20px;
    line-height: 1.6em;
}

header,
footer,
nav,
section {
    display: block;
}

/* HEADINGS   
----------------------------------------------------------*/
h1, h2, h3, h4, h5, h6 {
    font-size: 2.2em;
    color: #000;
    text-transform: uppercase;
}

h1 {
    font-size: 2em;
    padding-bottom: 0;
    margin-bottom: 0;
}

h2 {
    padding: 0 0 0px 0;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

/* you can specify a greater or lesser percentage for the 
page width. Or, you can specify an exact pixel width. */
.page {
    width: 760px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 0px;
    margin-bottom: 0px;
}

header, #header {
    /*position: relative;*/
    /*margin-bottom: 50px;*/
    margin-top: 0px;
    color: #000;
    padding: 0px 15px;
    margin-top: 0px;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}

    header h1, #header h1 {
        background: url('images/logo.png') no-repeat 0px 0px;
        font-weight: bold;
        padding: 5px 0;
        margin: 0;
        color: #fff;
        border: none;
        line-height: 2em;
        font-size: 32px !important;
        text-shadow: 1px 1px 2px #111;
    }

    #logo-en, #header h1 {
        background: url('images/logo_en.png') no-repeat 0px 0px;
        font-weight: bold;
        padding: 5px 0;
        margin-top: -10px;
        color: #fff;
        border: none;
        line-height: 2em;
        font-size: 32px !important;
        text-shadow: 1px 1px 2px #111;
    }

#main {
    padding: 10px 30px 15px 30px;
    background-color: #fff;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -webkit-box-shadow: 2px 2px 2px #777;
    -moz-box-shadow: 2px 2px 2px #777;
    box-shadow: 2px 2px 2px #777;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 60px;
}

footer,
#footer {
    color: #999;
    padding: 10px 0;
    text-align: center;
    line-height: normal;
    margin: 0 0 30px 0;
    font-size: .9em;
}

/* TAB MENU   
----------------------------------------------------------*/
ul#menu {
    border-bottom: 1px #5C87B2 solid;
    padding: 0 0 2px;
    position: relative;
    margin: 0;
    text-align: right;
}

    ul#menu li {
        display: inline;
        list-style: none;
    }

        ul#menu li#greeting {
            padding: 10px 20px;
            font-weight: bold;
            text-decoration: none;
            line-height: 2.8em;
            color: #fff;
        }

        ul#menu li a {
            padding: 10px 20px;
            font-weight: bold;
            text-decoration: none;
            line-height: 2.8em;
            background-color: #e8eef4;
            color: #034af3;
            border-radius: 4px 4px 0 0;
            -webkit-border-radius: 4px 4px 0 0;
            -moz-border-radius: 4px 4px 0 0;
        }

            ul#menu li a:hover {
                background-color: #fff;
                text-decoration: none;
            }

            ul#menu li a:active {
                background-color: #a6e2a6;
                text-decoration: none;
            }

        ul#menu li.selected a {
            background-color: #fff;
            color: #000;
        }

/* FORM LAYOUT ELEMENTS   
----------------------------------------------------------*/

fieldset {
    border: 1px solid #ddd;
    padding: 0 1.4em 1.4em 1.4em;
    margin: 0px 0 1.5em 0;
}

legend {
    font-size: 1.2em;
    font-weight: bold;
}

textarea {
    min-height: 75px;
}

input[type="text"],
input[type="button"],
input[type="password"] {
    border: 1px solid #ccc;
    padding: 2px;
    font-size: 1.2em;
    color: #444;
    width: 200px;
}

select {
    border: 1px solid #ccc;
    padding: 2px;
    font-size: 1.2em;
    color: #444;
}

input[type="submit"] {
    font-size: 1.0em;
    text-transform: uppercase;
    /*padding: 5px;*/
    background: none repeat scroll 0 0 #222;
    border-radius: 6px 6px 6px 6px;
    color: #FFFFFF;
    display: inline-block;
    padding: 5px 15px;
    cursor: hand;
    cursor: pointer;
}

/* TABLE
----------------------------------------------------------*/

table {
    border: solid 1px #e8eef4;
    border-collapse: collapse;
}

    table td {
        padding: 5px;
        border: solid 1px #e8eef4;
    }

    table th {
        padding: 6px 5px;
        text-align: left;
        background-color: #e8eef4;
        border: solid 1px #e8eef4;
    }

/* MISC  
----------------------------------------------------------*/
.clear {
    clear: both;
}

.error {
    color: Red;
}

nav,
#menucontainer {
    margin-top: 40px;
}

div#title {
    display: block;
    /*float: left;*/
    text-align: left;
    width: 660px;
    height: 104px;
}

.ver {
    margin-left: 140px;
    color: #c5c5c5;
    font-size: 0.70em;
}

#logindisplay {
    font-size: 1.1em;
    display: block;
    text-align: right;
    margin: 10px;
    color: #000;
}

    #logindisplay a:link {
        color: #000;
        text-decoration: underline;
    }

    #logindisplay a:visited {
        color: #000;
        text-decoration: underline;
    }

    #logindisplay a:hover {
        color: #000;
        text-decoration: none;
    }

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error {
    color: #ff0000;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}

.validation-summary-errors {
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid {
    display: none;
}

/* Styles for editor and display helpers
----------------------------------------------------------*/
.display-label,
.editor-label {
    margin: 1em 0 0 0;
}

.display-field,
.editor-field {
    margin: 0.5em 0 0 0;
}

.text-box {
    width: 30em;
    /*font-size: 1.5em;
    width: 180px;
    padding-left: 5px;*/
}

    .text-box.multi-line {
        height: 6.5em;
    }

.tri-state {
    width: 6em;
}

input[type="button"] {
    font-size: 1.2em;
    padding: 5px 20px 5px 20px;
}

#logout {
    font-size: 1.1em;
    padding: 0 0 0 75%;
    text-align: right;
}

input[type="button"].big, input[type="submit"].big {
    font-size: 1.5em;
    text-transform: uppercase;
    /*background: none repeat scroll 0 0 #222;*/
    border-radius: 6px 6px 6px 6px;
    color: #FFFFFF;
    display: inline-block;
    padding: 5px 25px;
    cursor: hand;
    cursor: pointer;
}

input[type="button"].bigStart, input[type="submit"].bigStart {
    font-size: 1.5em;
    text-transform: uppercase;
    font-weight:bolder;
    /*padding: 5px;*/
    /*background: none repeat scroll 0 0 #222;*/
    border-radius: 6px 6px 6px 6px;
    color: #034af3;
    display: inline-block;
    padding: 15px 15px;
    cursor: pointer;
    cursor: pointer;
    width: 100% !important;
}

    input[type="button"].bigStart:hover, input[type="submit"].bigStart:hover {
        color: #f5ca59;
    }


input[type="text"].big, #Amount {
    font-size: 1.5em;

    min-width: 160px;
    width: 200px;
    padding-left: 6px;
}

p.startBtn {
    margin: 30px 0px;
}

#btnSaveScan {
    font-size: 2.0em;
}

.lang img {
    height: 25px;
}

input#chkboxScanMode {
    -ms-transform: scale(1); /* IE */
    -moz-transform: scale(1); /* FF */
    -webkit-transform: scale(1); /* Safari and Chrome */
    -o-transform: scale(1); /* Opera */
    padding: inherit;
    margin: 0 5px 0 0;
    height: 15px;
    width: 15px;
}

span.checkbox-label {
    font-size: 1.3em;
}

div#scanModeCheckbox {
    margin-top: 5px;
}

div#divMessageToUser {
    font-size: inherit;
}

#language_flag {
    height: 20px;
}

@media screen and (max-width: 1000px) {
    body {
        font-size: 1.3em;
    }

    .page {
        width: 100%;
    }

    header, #header {
        position: relative;
        margin-bottom: 50px;
        margin-top: 0px;
        color: #000;
        width: 30px;
        padding: 0px 0px;
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 95%;
    }

        header h1, #header h1 {
            background: url('images/logo.png') no-repeat 0px 0px fixed;
            background-size: 65% auto;
            background-position: left top;
            font-weight: bold;
            padding: 5px 0;
            margin: 0;
            color: #fff;
            border: none;
            /*line-height: 2.3em;*/
            font-size: 32px !important;
            text-shadow: 1px 1px 2px #111;
        }

        #logo-en, #header h1 {
            background: url('images/logo_en.png') no-repeat 0px 0px fixed;
            background-size: 65% auto;
            background-position: left top;
            font-weight: bold;
            padding: 5px 0;
            margin-top: -10px;
            color: #fff;
            border: none;
            line-height: 2.3em;
            font-size: 32px !important;
            text-shadow: 1px 1px 2px #111;
        }

    div#title {
        display: block;
        /*float: left;*/
        text-align: left;
        width: 83%;
        height: 80px;
    }



        div#title a:link {
            color: #eca323;
            /*color: #034af3;*/
            /*text-decoration: underline;*/
        }

        div#title a:visited {
            color: #eca323;
        }

        div#title a:hover {
            color: #f5ca59;
            text-decoration: none;
        }

        div#title a:active {
            color: #eca323;
        }

    #main {
        width: 85%;
    }

    input[type="text"].big, #Amount {
        font-size: 2.5em;
        width: 100%;
        padding-left: 6px;
    }

    input[type="button"].big, input[type="submit"].big {
        font-size: 1.5em;
        text-transform: uppercase;
        background: none repeat scroll 0 0 #222;
        border-radius: 6px 6px 6px 6px;
        color: #FFFFFF;
        display: inline-block;
        padding: 5px 25px;
        cursor: hand;
        cursor: pointer;
        width: 80%;
        white-space: normal;
    }

    input[type="button"].bigStart, input[type="submit"].bigStart {
        padding: 25px 10px 25px 10px;
        white-space: normal;
        /*height: 180px;*/
    }

    label {
        font-size: 1.5em;
    }

    input#chkboxScanMode {
        -ms-transform: scale(3); /* IE */
        -moz-transform: scale(3); /* FF */
        -webkit-transform: scale(3); /* Safari and Chrome */
        -o-transform: scale(3); /* Opera */
        padding: 10px;
        margin: 1.6em;
    }

    span.checkbox-label {
        font-size: 1.7em;
        margin-left: 25px;
    }

    .field-validation-error {
        font-size: 1.3em;
    }

    div#divMessageToUser {
        font-size: 2em;
    }

    .validation-summary-errors {
        font-size: 1.5em;
    }

    #logout {
        font-size: 1.4em;
        padding: 0 0 0 0;
        white-space: nowrap;
        text-align: right;
    }

    #language_flag {
        height: 2em;
    }

    .mobile-scan-title {
        margin: 15px;
    }

    #btnSaveScanOffline, #btnSaveScan {
        font-size: 2.0em;
        padding: 20px;
    }
}


@media screen and (max-width: 700px) {

    header h1, #header h1 {
        background-size: 85% auto;
    }

    #logo-en, #header h1 {
        background-size: 85% auto;
    }
}

@media screen and (max-width: 500px) {

    header h1, #header h1 {
        background-size: 100% auto;
    }

    #logo-en, #header h1 {
        background-size: 100% auto;
    }
}
